<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:39 CEST 2019 -->
<title>Overview (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Overview (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li class="navBarCell1Rev">Overview</li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-summary.html" target="_top">Frames</a></li>
<li><a href="overview-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Jaybird</h1>
</div>
<div class="contentContainer">
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Packages table, listing packages, and an explanation">
<caption><span>Packages</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="org/firebirdsql/ds/package-summary.html">org.firebirdsql.ds</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="org/firebirdsql/encodings/package-summary.html">org.firebirdsql.encodings</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="org/firebirdsql/event/package-summary.html">org.firebirdsql.event</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="org/firebirdsql/extern/decimal/package-summary.html">org.firebirdsql.extern.decimal</a></td>
<td class="colLast">
<div class="block">This package is a copy from the <a href="https://github.com/FirebirdSQL/decimal-java">decimal-java project</a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="org/firebirdsql/gds/package-summary.html">org.firebirdsql.gds</a></td>
<td class="colLast">
<div class="block"><html>
    <!-- TODO: To be rewritten --></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="org/firebirdsql/gds/impl/package-summary.html">org.firebirdsql.gds.impl</a></td>
<td class="colLast">
<div class="block">
        This package contains classes for the pluggable GDS implementations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="org/firebirdsql/gds/impl/argument/package-summary.html">org.firebirdsql.gds.impl.argument</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="org/firebirdsql/gds/impl/jni/package-summary.html">org.firebirdsql.gds.impl.jni</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="org/firebirdsql/gds/impl/oo/package-summary.html">org.firebirdsql.gds.impl.oo</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="org/firebirdsql/gds/impl/wire/package-summary.html">org.firebirdsql.gds.impl.wire</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="org/firebirdsql/gds/ng/package-summary.html">org.firebirdsql.gds.ng</a></td>
<td class="colLast">
<div class="block">Provides the abstraction for connecting to Firebird either through a wire protocol implementation, a native firebird
 client or other means.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="org/firebirdsql/gds/ng/dbcrypt/package-summary.html">org.firebirdsql.gds.ng.dbcrypt</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="org/firebirdsql/gds/ng/dbcrypt/simple/package-summary.html">org.firebirdsql.gds.ng.dbcrypt.simple</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="org/firebirdsql/gds/ng/fields/package-summary.html">org.firebirdsql.gds.ng.fields</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="org/firebirdsql/gds/ng/jna/package-summary.html">org.firebirdsql.gds.ng.jna</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="org/firebirdsql/gds/ng/listeners/package-summary.html">org.firebirdsql.gds.ng.listeners</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="org/firebirdsql/gds/ng/tz/package-summary.html">org.firebirdsql.gds.ng.tz</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="org/firebirdsql/gds/ng/wire/package-summary.html">org.firebirdsql.gds.ng.wire</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="org/firebirdsql/gds/ng/wire/auth/package-summary.html">org.firebirdsql.gds.ng.wire.auth</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="org/firebirdsql/gds/ng/wire/auth/legacy/package-summary.html">org.firebirdsql.gds.ng.wire.auth.legacy</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="org/firebirdsql/gds/ng/wire/auth/srp/package-summary.html">org.firebirdsql.gds.ng.wire.auth.srp</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="org/firebirdsql/gds/ng/wire/crypt/package-summary.html">org.firebirdsql.gds.ng.wire.crypt</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="org/firebirdsql/gds/ng/wire/crypt/arc4/package-summary.html">org.firebirdsql.gds.ng.wire.crypt.arc4</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="org/firebirdsql/gds/ng/wire/version10/package-summary.html">org.firebirdsql.gds.ng.wire.version10</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="org/firebirdsql/gds/ng/wire/version11/package-summary.html">org.firebirdsql.gds.ng.wire.version11</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="org/firebirdsql/gds/ng/wire/version12/package-summary.html">org.firebirdsql.gds.ng.wire.version12</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="org/firebirdsql/gds/ng/wire/version13/package-summary.html">org.firebirdsql.gds.ng.wire.version13</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="org/firebirdsql/jaybird/package-summary.html">org.firebirdsql.jaybird</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="org/firebirdsql/jca/package-summary.html">org.firebirdsql.jca</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="org/firebirdsql/jdbc/package-summary.html">org.firebirdsql.jdbc</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="org/firebirdsql/jdbc/escape/package-summary.html">org.firebirdsql.jdbc.escape</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="org/firebirdsql/jdbc/field/package-summary.html">org.firebirdsql.jdbc.field</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="org/firebirdsql/jdbc/parser/package-summary.html">org.firebirdsql.jdbc.parser</a></td>
<td class="colLast">
<div class="block">Statement parser for generated keys support.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="org/firebirdsql/jna/fbclient/package-summary.html">org.firebirdsql.jna.fbclient</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="org/firebirdsql/logging/package-summary.html">org.firebirdsql.logging</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="org/firebirdsql/management/package-summary.html">org.firebirdsql.management</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="org/firebirdsql/util/package-summary.html">org.firebirdsql.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li class="navBarCell1Rev">Overview</li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-summary.html" target="_top">Frames</a></li>
<li><a href="overview-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
